package com.dbxml.db.admin.nodes;

/*
 * dbXML - Native XML Database
 * Copyright (C) 1999-2004  The dbXML Group, L.L.C.
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * $Id: AdminNode.java,v 1.3 2004/07/01 02:05:44 bradford Exp $
 */

import java.awt.Color;
import java.awt.Font;
import java.awt.SystemColor;
import javax.swing.Icon;

/**
 * AdminNode
 */

public abstract class AdminNode {
   private static final Font DefaultFont = new Font("Dialog", 0, 12);
   private static final Color DefaultColor = SystemColor.textText;

   public abstract String getLabel();

   private AdminNode parentNode;

   public AdminNode(AdminNode parentNode) {
      this.parentNode = parentNode;
   }

   public AdminNode getParentNode() {
      return parentNode;
   }

   public Font getFont() {
      return DefaultFont;
   }

   public Color getColor() {
      return DefaultColor;
   }

   public Icon getIcon() {
      return null;
   }

   public String getTooltip() {
      return null;
   }

   public void close() {
   }

   public String getMenuTitle() {
      return getLabel();
   }

   public int menuAction(int action) {
      return HasMenu.REFRESH_NONE;
   }

   public boolean isParentMenuInherited() {
      return true;
   }

   public String toString() {
      return getLabel();
   }
}


